Package net.md_5.bungee.api.dialog.action

# Class ActionButton

java.lang.Object
net.md_5.bungee.api.dialog.action.ActionButton

public class ActionButton extends Object
Represents a dialog action which will usually appear as a button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionButton(@NonNull BaseComponent label, @NonNull Action action)`
  `ActionButton(@NonNull BaseComponent label, BaseComponent tooltip, Integer width, @NonNull Action action)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NonNull Action`
  `action()`
  The action to take.
  `ActionButton`
  `action(@NonNull Action action)`
  The action to take.
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `@NonNull BaseComponent`
  `label()`
  The text label of the button, mandatory.
  `ActionButton`
  `label(@NonNull BaseComponent label)`
  The text label of the button, mandatory.
  `void`
  `setWidth(Integer width)`
  `BaseComponent`
  `tooltip()`
  The hover tooltip of the button.
  `ActionButton`
  `tooltip(BaseComponent tooltip)`
  The hover tooltip of the button.
  `String`
  `toString()`
  `Integer`
  `width()`
  The width of the button (default: 150, minimum: 1, maximum: 1024).
  `ActionButton`
  `width(Integer width)`
  The width of the button (default: 150, minimum: 1, maximum: 1024).

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionButton

    public ActionButton(@NonNull @NonNull BaseComponent label, BaseComponent tooltip, Integer width, @NonNull @NonNull Action action)

  - ### ActionButton

    public ActionButton(@NonNull @NonNull BaseComponent label, @NonNull @NonNull Action action)

- ## Method Details

  - ### setWidth

    public void setWidth(Integer width)

  - ### label

    @NonNull public @NonNull BaseComponent label()
    The text label of the button, mandatory.

  - ### tooltip

    public BaseComponent tooltip()
    The hover tooltip of the button.

  - ### width

    public Integer width()
    The width of the button (default: 150, minimum: 1, maximum: 1024).

  - ### action

    @NonNull public @NonNull Action action()
    The action to take.

  - ### label

    public ActionButton label(@NonNull @NonNull BaseComponent label)
    The text label of the button, mandatory.
    Returns:
      `this`.

  - ### tooltip

    public ActionButton tooltip(BaseComponent tooltip)
    The hover tooltip of the button.
    Returns:
      `this`.

  - ### width

    public ActionButton width(Integer width)
    The width of the button (default: 150, minimum: 1, maximum: 1024).
    Returns:
      `this`.

  - ### action

    public ActionButton action(@NonNull @NonNull Action action)
    The action to take.
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`